> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Lists by Asset Platform ID

> To get full list of tokens of a blockchain network (asset platform) that is supported by [Ethereum token list standard](https://tokenlists.org/)

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<Note>
  A token is only included if its contract address has been added by the CoinGecko team. To request a missing token, [submit a request](https://support.coingecko.com/hc/en-us/requests/new).
</Note>

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.tokenLists.getAllJson('ethereum');

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.token_lists.get_all_json("ethereum")

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /token_lists/{asset_platform_id}/all.json
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /token_lists/{asset_platform_id}/all.json:
    get:
      summary: Token Lists by Asset Platform ID
      description: >-
        To get full list of tokens of a blockchain network (asset platform) that
        is supported by [Ethereum token list standard](https://tokenlists.org/)
      operationId: token-lists
      parameters:
        - name: asset_platform_id
          in: path
          required: true
          description: |-
            Asset platform ID. 
            *refers to [`/asset_platforms`](/reference/asset-platforms-list).
          schema:
            type: string
            default: ethereum
      responses:
        '200':
          description: Token list by asset platform
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenLists'
              example:
                name: CoinGecko
                logoURI: https://static.coingecko.com/gecko-new.svg
                keywords:
                  - defi
                timestamp: '2026-05-26T04:03:03.404+00:00'
                tokens:
                  - chainId: 1
                    address: '0x77c6e4a580c0dce4e5c7a17d0bc077188a83a059'
                    name: Swerve.fi USD
                    symbol: SWUSD
                    decimals: 18
                    logoURI: >-
                      https://assets.coingecko.com/coins/images/12918/thumb/swerve.png?1696512706
                  - chainId: 1
                    address: '0xf8e57ac2730d3088d98b79209739b0d5ba085a03'
                    name: Optopia AI
                    symbol: OPAI
                    decimals: 18
                    logoURI: >-
                      https://assets.coingecko.com/coins/images/39332/thumb/OPAI.jpg?1721777150
                version:
                  major: 1491
                  minor: 3
                  patch: 0
components:
  schemas:
    TokenLists:
      type: object
      required:
        - name
        - logoURI
        - keywords
        - timestamp
        - tokens
        - version
      properties:
        name:
          type: string
          description: Token list name
        logoURI:
          type: string
          description: Token list logo URL
        keywords:
          type: array
          description: Token list keywords
          items:
            type: string
        timestamp:
          type: string
          format: date-time
          description: Token list generation timestamp
        tokens:
          type: array
          description: List of tokens
          items:
            type: object
            required:
              - chainId
              - address
              - name
              - symbol
              - decimals
              - logoURI
            properties:
              chainId:
                type: number
                description: Chainlist's chain ID
              address:
                type: string
                description: Token contract address
              name:
                type: string
                description: Token name
              symbol:
                type: string
                description: Token symbol
              decimals:
                type: number
                description: Token decimals
              logoURI:
                type: string
                description: Token image URL
        version:
          type: object
          description: Token list version
          properties:
            major:
              type: number
              description: Major version
            minor:
              type: number
              description: Minor version
            patch:
              type: number
              description: Patch version
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````